<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="None">
  
  <link rel="shortcut icon" href="img/favicon.ico">
  <title>Welcome - The Replica Project</title>
  <link href='https://fonts.googleapis.com/css?family=Lato:400,700|Roboto+Slab:400,700|Inconsolata:400,700' rel='stylesheet' type='text/css'>

  <link rel="stylesheet" href="css/theme.css" type="text/css" />
  <link rel="stylesheet" href="css/theme_extra.css" type="text/css" />
  <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/github.min.css">
  
  <script>
    // Current page data
    var mkdocs_page_name = "Welcome";
    var mkdocs_page_input_path = "index.md";
    var mkdocs_page_url = null;
  </script>
  
  <script src="js/jquery-2.1.1.min.js" defer></script>
  <script src="js/modernizr-2.8.3.min.js" defer></script>
  <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/highlight.min.js"></script>
  <script>hljs.initHighlightingOnLoad();</script> 
  
</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side stickynav">
      <div class="wy-side-nav-search">
        <a href="." class="icon icon-home"> The Replica Project</a>
        <div role="search">
  <form id ="rtd-search-form" class="wy-form" action="./search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" title="Type search term here" />
  </form>
</div>
      </div>

      <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
	<ul class="current">
	  
          
            <li class="toctree-l1 current">
		
    <a class="current" href=".">Welcome</a>
    <ul class="subnav">
            
    <li class="toctree-l2"><a href="#welcome-to-the-replica-projects-documentation">Welcome to The Replica Project's Documentation</a></li>
    
        <ul>
        
            <li><a class="toctree-l3" href="#prerequisite-knowledge-required">Prerequisite Knowledge Required</a></li>
        
            <li><a class="toctree-l3" href="#architecture">Architecture</a></li>
        
            <li><a class="toctree-l3" href="#directory-structure">Directory Structure</a></li>
        
            <li><a class="toctree-l3" href="#adding-more-spreadsheets-to-the-system">Adding more spreadsheets to the system.</a></li>
        
            <li><a class="toctree-l3" href="#using-the-website-for-different-data">Using the website for different data.</a></li>
        
            <li><a class="toctree-l3" href="#code-structure">Code Structure</a></li>
        
        </ul>
    

    </ul>
	    </li>
          
            <li class="toctree-l1">
		
    <a class="" href="Backend/">Back End</a>
	    </li>
          
            <li class="toctree-l1">
		
    <a class="" href="Frontend/">Front End</a>
	    </li>
          
        </ul>
      </div>
      &nbsp;
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href=".">The Replica Project</a>
      </nav>

      
      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href=".">Docs</a> &raquo;</li>
    
      
    
    <li>Welcome</li>
    <li class="wy-breadcrumbs-aside">
      
    </li>
  </ul>
  <hr/>
</div>
          <div role="main">
            <div class="section">
              
                <h1 id="welcome-to-the-replica-projects-documentation">Welcome to The Replica Project's Documentation</h1>
<p>If you are interested in looking into the project, the project can be found <a href="http://michaelsimeone.org/herberger/v2/">here</a>. From here on, this site has technical details about the project. <a href="https://github.com/UnitForDataScience/TheReplicaProject">Code Link</a>. </p>
<h2 id="prerequisite-knowledge-required">Prerequisite Knowledge Required</h2>
<p>We assume that anyone who is reading this documentation has knowledge on the following technologies. </p>
<ul>
<li>Javascript</li>
<li>PHP</li>
<li>HTML</li>
<li>Bootstrap 4</li>
<li>D3.js</li>
<li>Leaflet.js</li>
<li>Jquery</li>
<li>Highcharts</li>
<li>Datatables 4</li>
<li>CSV Data</li>
<li>CSS</li>
<li>Async (A asynchronous utility in javascript)</li>
<li>JSON</li>
</ul>
<p>If you don't have prior knowledge, we would recommend reading the documentation of the technolgies as we use them heavily.</p>
<p>Some optional tools/technolgies to look at.</p>
<ul>
<li>Mkdocs (With this tool we created the documentation)</li>
<li>Python</li>
<li>Git</li>
<li>Diffchecker (Productivity)</li>
<li>Docx to HTML conversion (Some static textual content generation)</li>
<li>PHPStorm/WebStorm (Student account from Jet Brains)</li>
</ul>
<h2 id="architecture">Architecture</h2>
<p><img alt="Screenshot" src="img/arch.png" /></p>
<p>As you can see from the figure that our architecture is very simple. So if currently someone just wants to use our code, they can just use their excel sheets and host it on their website. For now, we are not using a database as our data is not that big. But this can be very easily added in future once our data is suffcient enough.</p>
<h2 id="directory-structure">Directory Structure</h2>
<p>The directory structure of the code is as follows:-</p>
<ol>
<li>docs: This is a directory which contains all the software documentation for this project.</li>
<li>lib: This contains some javascript libraries which are common to both version 1 and 2. It will have rangeslider which is used in transactional network and leaflet library used for displaying maps.</li>
<li>public: Most of the static content in this file is used by version 1. There is one directory <code>data</code> which is used by all the php scripts. If you want to add more spreadsheets or if you want to clone this repo and update with your data then you will need to manipulate this directory.</li>
<li>v2: This is the directory where all the static files for version 2 are kept. It will have it's separate public directory having css and js directories. </li>
</ol>
<h2 id="adding-more-spreadsheets-to-the-system">Adding more spreadsheets to the system.</h2>
<p>If you are looking to add more spreadsheets to the current system, follow the below steps.</p>
<ol>
<li>Go to the <code>&lt;project folder&gt;/public/data</code>. There you will see all the painting names. </li>
<li>Create a directory with the new painting name.</li>
<li>In that put the CSV in the same format as in other paintings. Please verify that the CSV format is similar to the one in other files.</li>
<li>Once it is done, inside the same directory create another directory called <code>Replicas</code>. For each individual replica, create a separate directory.</li>
<li>In every directory of the individual replica put the image with name <code>image.jpg</code>. Also create another directory inside the replica directory with name <code>Owners</code>.</li>
<li>In the owners directory create directory with name of the Owner and inside that put the image of the owner and bio of the owner with names <code>About.txt</code> and <code>image.jpg</code>.</li>
<li>Once you do that the data will automatically populate on the system.</li>
<li>Make sure you ask an update on histogram visuals. Those visuals are static and would require some updated information for Professor Codell.</li>
</ol>
<h2 id="using-the-website-for-different-data">Using the website for different data.</h2>
<ol>
<li>Just clone the entire project and manipulate the data directory as described above. </li>
<li>In all the javascript files change the name from <code>herberger</code> to the new name given to the clone project and the project will be ready.</li>
<li>PS: If you do that, you could also create a configuration file which can do that automatically. If the project is expanding then it would make sense to do that.</li>
<li>Populate the content of histogram visuals accordingly as those are generated using static data. </li>
</ol>
<h2 id="code-structure">Code Structure</h2>
<p>There are two parts to the code.</p>
<ul>
<li><a href="Backend/">Backend</a></li>
<li><a href="Frontend/">Frontend</a></li>
</ul>
              
            </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="Backend/" class="btn btn-neutral float-right" title="Back End">Next <span class="icon icon-circle-arrow-right"></span></a>
      
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <!-- Copyright etc -->
    
  </div>

  Built with <a href="http://www.mkdocs.org">MkDocs</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>.
</footer>
      
        </div>
      </div>

    </section>

  </div>

  <div class="rst-versions" role="note" style="cursor: pointer">
    <span class="rst-current-version" data-toggle="rst-current-version">
      
      
      
        <span style="margin-left: 15px"><a href="Backend/" style="color: #fcfcfc">Next &raquo;</a></span>
      
    </span>
</div>
    <script>var base_url = '.';</script>
    <script src="js/theme.js" defer></script>
      <script src="search/main.js" defer></script>

</body>
</html>

<!--
MkDocs version : 1.0.4
Build Date UTC : 2018-12-11 17:41:07
-->
